@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@400;700&family=Public+Sans:wght@400;500;700&display=swap');
@import url('http://fonts.cdnfonts.com/css/cursed-timer-ulil');
*,*::before,*::after{
    margin: 0;
    padding: 0;
    box-sizing:border-box;
}

body{
    max-width: 100vw;
    max-height: 100vh;
    display: flex;
    justify-content: center;
    font-family: 'Poppins', sans-serif;
}
img{
    max-width: 100%;
    object-fit: contain;
}
.app{
    width: 300px;
    margin-top: 3em;
    padding: 1em .7em;
    border: 3px solid rgb(128, 40, 88);
    border-radius: 12px;
    background-color: rgb(241, 239, 239);
    
}

.tin-details img{
    height: 420px;
}
.header,
.reaction{
    display: flex;
    justify-content: space-between;
    margin-bottom: .3em;
}
.header img{
    width: 18%;
}
.profile-pic{
    border-radius: 100%;
}

.user-details{
    position: relative;
    top: -87px;
    left:10px;
    color:azure;
    text-shadow: 0 4px 4px black;
}
.user-details p{
    font-weight: 400;
    font-size: 14px;
    margin-block: .2em;
    max-width: 90%;
    color: white;
    text-shadow: none;
}
.reaction{
    padding-inline: 4em;
    position: relative;
    width: 100%;
    top:-40px;
}
.reaction img{
    padding: .7em;
    width: 35%;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.144);
    cursor: pointer;
    transition: .3s;
    border-radius: 30px;
}
.like:hover{
    background-color: rgba(21, 223, 156, 0.295);
}
.nope:hover{
    background-color: rgba(223, 21, 82, 0.295);
}
.liked-badge{
    position: absolute;
    width: 8%;
    transform: translate(10px,30px);
    display: none;
    z-index: 1000;
}
.nope-badge{
    position: absolute;
    width: 8%;
    transform: translate(10px,30px);
    display: none;
    z-index: 2000;
}